Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002540 [Piwigo] configuration major always 2011.12.21 14:25 2012.02.10 14:45
Reporter plg View Status public  
Assigned To mistic100
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.3.3 Product Version 2.3.2
  Target Version 2.3.3 Product Build
Summary 0002540: When default photos order is only by rank, failure outside albums
Description If your default photos order is only on the rank, then if you display some photos outside an album (on a tag, or on most_visited for instance), you get something like :

SELECT DISTINCT(id)
  FROM images
    INNER JOIN image_category AS ic ON id = ic.image_id
  WHERE image_id IN (1,2,3)
  ORDER BY
; in /.../include/dblayer/functions_mysql.inc.php on line 767

There is no ORDER BY.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0005907)
mistic100 (developer)
2012.01.08 18:39

what must be the order instead ?
ORDER BY date_available DESC, file ASC, id ASC
as for Piwigo default configuratio ?
(0005915)
plg (manager)
2012.01.10 20:53

I would just do a simpler "ORDER BY id ASC"
(0005916)
svn (reporter)
2012.01.10 21:50

[Subversion] r12872 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:2540 When default photos order is only by rank, failure outside albums
define a default order_by + some javascript for limit number of fields
(0005989)
plg (manager)
2012.02.05 15:23

If we have 2 criteria on Rank and no other, the bug still occurs.

For example : criterium1=Rank ascending, criterium2=Rank descending
(0005990)
mistic100 (developer)
2012.02.05 20:17

can't we block all identical criterias ? that could prevent some misunderstanding
(0005991)
plg (manager)
2012.02.05 20:50

What is an "identical criteria"? are "rank asc" and "rank desc" identical?
(0005992)
mistic100 (developer)
2012.02.05 21:20

yeah that's what I mean
(0005993)
svn (reporter)
2012.02.06 21:22

[Subversion] r13037 by mistic100 on branch 2.3

-----[Subversion commit log]----------------------------------------------------
merge r12872 from trunk
bug:2540 When default photos order is only by rank, failure outside albums

- Issue History
Date Modified Username Field Change
2011.12.21 14:25 plg New Issue
2011.12.21 14:25 plg Status new => assigned
2011.12.21 14:25 plg Assigned To => mistic100
2011.12.21 14:25 plg browser => any
2011.12.21 14:25 plg Web server => Apache 1.3.x
2012.01.08 18:39 mistic100 Note Added: 0005907
2012.01.10 20:53 plg Note Added: 0005915
2012.01.10 21:50 svn Checkin
2012.01.10 21:50 svn Note Added: 0005916
2012.01.15 16:20 mistic100 Status assigned => closed
2012.01.15 16:20 mistic100 Resolution open => fixed
2012.01.15 16:20 mistic100 Fixed in Version => 2.4.0beta2
2012.01.15 16:20 mistic100 Status closed => feedback
2012.01.15 16:20 mistic100 Resolution fixed => reopened
2012.01.15 16:20 mistic100 Status feedback => closed
2012.01.15 16:20 mistic100 Resolution reopened => fixed
2012.01.15 16:20 mistic100 Fixed in Version 2.4.0beta2 => 2.3.3
2012.02.05 15:23 plg Note Added: 0005989
2012.02.05 20:17 mistic100 Note Added: 0005990
2012.02.05 20:17 mistic100 Status closed => feedback
2012.02.05 20:17 mistic100 Resolution fixed => reopened
2012.02.05 20:50 plg Note Added: 0005991
2012.02.05 21:20 mistic100 Note Added: 0005992
2012.02.06 21:22 svn Checkin
2012.02.06 21:22 svn Note Added: 0005993
2012.02.10 14:45 plg Status feedback => closed
2012.02.10 14:45 plg Resolution reopened => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker